# Fn<> Comparator
Type of comparator object

Defined in | <seqan/sequence.h>
Signature | `Comparator<T>::Type;`

## Template Parameters

`T` | Type for which the comparator type is to be determined.

## Return Values

`Type` | the comparator type.

## Detailed Description

Comparators are objects that can be used to compare other objects and store the result of comparisons.

#### Dox Sources

    /*!
     * @mfn Comparator
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief Type of comparator object
     *
     * @signature Comparator<T>::Type;
     *
     * @tparam T Type for which the comparator type is to be determined.
     *
     * @return Type the comparator type.
     *
     * Comparators are objects that can be used to compare other objects and store
     * the result of comparisons.
     */